# Detect lag in DAB signals 
#  - use rtl_sdr 
#     rtl_sdr -f 223936001 -s 2048000 -n 4096000 sdrdab.iq
#  - convert SDRsharp recording (16 to 8 bits unsigned .wav file)
#     sox sdrsharp.wav -b 8 sdrdab.iq # wav files have a 44 bytes header
#     soxi sdrdab.wav

clc
clear
close all
pkg load signal
pkg load data-smoothing

function [ output_real ] = remove_mean( input_real )
    output_real = input_real - mean(input_real);
end

files = dir('in/*.iq');
fs=2048000
sol=[]
for i=1:length(files)

fn=[ files(i).folder '/' files(i).name];

 disp( ['processing' fn ] );
 ss=read_file_iq([   fn]);
 disp(['successfully read ' int2str(length(ss)) ' samples']);
 sa = remove_mean(abs(ss));

 [c,lags]  = xcorr(sa,sa);
 [c,lags] = { remove_mean(c(end/2:end/2+504)), lags(end/2:end/2+504)} {:};
 [pks,idx] = sort(-c);

 peakidx  =  idx(1:20); %(idx(1:10)>5);
 peaklags =  lags( peakidx );
 peakdist =  peaklags;
 disp([ fn " \npeaks@ T: " num2str(peaklags)   ]);

 %plot(lags,c)
 %print ([files(i).folder '/' files(i).name '.png'],'-dpng')

 sol = [ sol  peaklags ]

end

disp('__________________________________________________________________')
disp(' COMMON LAGS at :')
disp([  " \npeaks@ T: " num2str(sol) "\n @ meter:" num2str(3e8*sol/fs) ]);

hist(sol,1:504)   %maximum lag detected in DAB in 504 samples (73km)
print ([files(i).folder '/findlags.png' ], '-dpng')
 