function [ points_lat, points_long ] = gen_circle( doa_meters, rx1_lat, rx1_long,   geo_ref_lat, geo_ref_long)
%gen_hyperbola: calculates the points of a hyperbola from receiver positions
%               and the doa in meters
  
    
    % convert to xy coordinates
    [rx1_x, rx1_y] = latlong2xy(rx1_lat, rx1_long, geo_ref_lat, geo_ref_long);

    hyp_x_leg1 = zeros(1,1);
    hyp_y_leg1 = zeros(1,1);
    hyp_point_counter = 0;

    for r_1 = -pi:0.05:pi
 			
					hyp_point_counter = hyp_point_counter + 1;
  				hyp_x_leg1(hyp_point_counter) = rx1_x + 0.001*doa_meters * cos(r_1);
					hyp_y_leg1(hyp_point_counter) = rx1_y + 0.001*doa_meters * sin(r_1);
    end
    
    if (hyp_point_counter == 0)
        disp('Hyperbola could not be constructed');
    end

    
    points_lat = zeros(hyp_point_counter,1);
    points_long = zeros(hyp_point_counter,1);
    
    for ii=1:1:hyp_point_counter
        [points_lat(ii), points_long(ii)] = xy2latlong(hyp_x_leg1(ii), hyp_y_leg1(ii), geo_ref_lat, geo_ref_long);
    end
   
    disp(['Circle with totally ' num2str(hyp_point_counter) ' points generated.']);
end

